Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator.DH

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGeneratorSpi
            |
            +--org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
                  |
                  +--org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator.DH

Enclosing class:
  JDKAlgorithmParameterGenerator

public static class JDKAlgorithmParameterGenerator.DH
extends JDKAlgorithmParameterGenerator

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`JDKAlgorithmParameterGenerator.AES, JDKAlgorithmParameterGenerator.CAST5, JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.IDEA, JDKAlgorithmParameterGenerator.RC2`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`random, strength`

Constructor Summary
`JDKAlgorithmParameterGenerator.DH()`

Method Summary
`protected AlgorithmParameters` | `engineGenerateParameters()`
`protected void` | `engineInit(AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator
`engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameterGenerator.DH

    public JDKAlgorithmParameterGenerator.DH()

Method Detail

### engineInit

    protected void engineInit(AlgorithmParameterSpec genParamSpec,
                              java.security.SecureRandom random)
                       throws InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `AlgorithmParameterGeneratorSpi`
    `InvalidAlgorithmParameterException`

### engineGenerateParameters

    protected AlgorithmParameters engineGenerateParameters()

  Specified by:
    `engineGenerateParameters` in class `AlgorithmParameterGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD